# $Revision: 1.27 $, $Date: 2004/08/14 11:37:54 $
Summary:	A time server for synchronizing networked machines' clocks
Summary(de):	Zeit-Server zum Synchronisieren von Uhren
Summary(es):	Time server para sincronizacin de hora
Summary(pl):	Serwer czasu do synchronizacji zegarw komputerw w sieci
Summary(pt):	Time server para sincronizao de hora
Summary(ru):	       
Summary(tr):	Saat ezamanlamas iin time sunucusu
Summary(uk):	  Φæ  ˦   ֦
Name:		intimed
Version:	1.10
Release:	16
License:	Freeware
Group:		Daemons
Source0:	ftp://sunsite.unc.edu/pub/Linux/system/network/sunacm/Other/intimed/%{name}-%{version}.tar.gz
# Source0-md5:	78610c4580f5839640eb22d34f0f3643
Source1:	timedt.inetd
Source2:	timedu.inetd
Prereq:		rc-inetd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	timed

%description
The intimed package contains a server (in.timed), which keeps
networked machines' clocks correctly synchronized to the server's
time.

%description -l de
intimed ist ein Server, der an vernetzte Computer die Zeit ausgibt.
Ntzlich zur Synchronisation eines Netzwerks.

%description -l es
intimed es un servidor que ir informar la hora a las mquinas de la
red. Es til para mantener las mquinas de la red en sincrona.

%description -l fr
intimed est un serveur qui indique aux machines connectes l'heure
qu'il est. Utile pour synchroniser les rseaux de machines sur l'heure
correcte.

%description -l pl
Pakiet intimed zawiera serwer (in.timed), ktry utrzymuje zegary
maszyn w sieci zsynchronizowane z czasem serwera.

%description -l pt
intimed  um servidor que ir informar s mquinas da rede que horas
ele possui no momento. Ele  til para manter as mquinas da rede em
sincronia.

%description -l ru
 intimed  ,     
     .

%description -l tr
intimed, istemci makinalara saatinin ka olduunu syleyen bir
sunucudur. Bilgisayar andaki makinalar e zamanl tutmak
yararldr.

%description -l uk
 intimed ͦ ,    Ц ֦
  Φͦ   .

%prep
%setup -q -c

%build
%{__make} CFLAGS="%{rpmcflags}" LDFLAGS="-L%{_lib}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/etc/sysconfig/rc-inetd}

install in.timed $RPM_BUILD_ROOT%{_sbindir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/timedt
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/timedu

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload 1>&2
else
	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server" 1>&2
fi

%postun
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/in.timed
%attr(640,root,root) %config(noreplace) %verify(not mtime md5 size) /etc/sysconfig/rc-inetd/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: intimed.spec,v $
Revision 1.27  2004/08/14 11:37:54  averne
- rel 16

Revision 1.26  2004/08/14 11:36:17  averne
- fixed libdir for amd64

Revision 1.25  2003/12/19 23:10:51  undefine
- release 15 to rebuild with ac

Revision 1.24  2003/05/28 12:59:11  malekith
- massive attack: source-md5

Revision 1.23  2003/05/25 05:48:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2002/11/11 10:23:37  kloczek
- release 14: merge translations from KSI.

Revision 1.21  2002/04/25 16:36:50  arturs
fixed a small typo

Revision 1.20  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/01/18 02:13:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2001/11/30 09:43:52  qboosh
- pl translations, cosmetics

Revision 1.17  2001/07/28 21:37:29  blues
- typo: %s/sever"/server"/

Revision 1.16  2001/07/26 05:42:09  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.14  2001/04/24 05:33:28  kloczek
- typo.

Revision 1.13  2001/04/24 05:29:21  kloczek
- release 13,
- timed added to Obsoletes,
- added using %%{rpmcflags} macro.

Revision 1.12  2001/01/25 20:03:24  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.11  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.10  2000/10/12 01:48:20  kloczek
- release 12: use new rpm automation.

Revision 1.9  2000/06/09 07:23:03  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/05/21 01:39:50  kloczek
- spec adapterized.

Revision 1.7  2000/04/10 17:06:17  baggins
- more spelling fixes

Revision 1.6  2000/04/10 15:39:03  mis
- typos

Revision 1.5  2000/04/01 11:14:46  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/01/31 19:32:47  baggins
- reload instead of restart in pre/post scripts
- use RPM_OPT_FLAGS

Revision 1.3  1999/10/29 11:25:16  baggins
- added inetd configs
- prereq rc-inetd
- post/preun scripts

Revision 1.2  1999/08/20 17:35:22  baggins
- macros

Revision 1.1  1999/08/19 20:07:26  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 9)

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
